Bug 1337349 - [abrt] synergy: ArchMultithreadPosix::closeMutex(): synergyc killed by SIGABRT
Summary: [abrt] synergy: ArchMultithreadPosix::closeMutex(): synergyc killed by SIGABRT
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy
Version: 24
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Christian Krause
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:561a7a94d65541fad8fad5fbf43...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-18 23:06 UTC by Luke Macken
Modified: 2017-08-08 14:33 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-08 14:33:48 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (25.41 KB, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: cgroup (336 bytes, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: core_backtrace (6.37 KB, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: dso_list (4.49 KB, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: environ (3.16 KB, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: limits (1.29 KB, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: maps (22.60 KB, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: mountinfo (4.31 KB, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: namespaces (85 bytes, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: open_fds (485 bytes, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: proc_pid_status (1.10 KB, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details
File: var_log_messages (780 bytes, text/plain)
2016-05-18 23:06 UTC, Luke Macken
no flags Details

Description Luke Macken 2016-05-18 23:06:20 UTC
Version-Release number of selected component:
synergy-1.7.6-1.fc24

Additional info:
reporter:       libreport-2.7.0
backtrace_rating: 4
cmdline:        synergyc localhost
crash_function: ArchMultithreadPosix::closeMutex
executable:     /usr/bin/synergyc
global_pid:     6188
kernel:         4.5.3-300.fc24.x86_64
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 ArchMultithreadPosix::closeMutex at /usr/src/debug/synergy-1.7.6-stable/src/lib/arch/unix/ArchMultithreadPosix.cpp:292
 #5 XWindowsEventQueueBuffer::~XWindowsEventQueueBuffer at /usr/src/debug/synergy-1.7.6-stable/src/lib/platform/XWindowsEventQueueBuffer.cpp:82
 #6 EventQueue::adoptBuffer at /usr/src/debug/synergy-1.7.6-stable/src/lib/base/EventQueue.cpp:189
 #7 XWindowsScreen::onError at /usr/src/debug/synergy-1.7.6-stable/src/lib/platform/XWindowsScreen.cpp:1735
 #8 XWindowsScreen::ioErrorHandler at /usr/src/debug/synergy-1.7.6-stable/src/lib/platform/XWindowsScreen.cpp:1761
 #9 _XIOError at XlibInt.c:1464
 #10 _XEventsQueued at xcb_io.c:366
 #11 XPending at Pending.c:55
 #12 XWindowsEventQueueBuffer::isEmpty at /usr/src/debug/synergy-1.7.6-stable/src/lib/platform/XWindowsEventQueueBuffer.cpp:265
 #13 EventQueue::getEvent at /usr/src/debug/synergy-1.7.6-stable/src/lib/base/EventQueue.cpp:209

Potential duplicate: bug 1218111

Comment 1 Luke Macken 2016-05-18 23:06:26 UTC
Created attachment 1159120 [details]
File: backtrace

Comment 2 Luke Macken 2016-05-18 23:06:27 UTC
Created attachment 1159121 [details]
File: cgroup

Comment 3 Luke Macken 2016-05-18 23:06:28 UTC
Created attachment 1159122 [details]
File: core_backtrace

Comment 4 Luke Macken 2016-05-18 23:06:29 UTC
Created attachment 1159123 [details]
File: dso_list

Comment 5 Luke Macken 2016-05-18 23:06:30 UTC
Created attachment 1159124 [details]
File: environ

Comment 6 Luke Macken 2016-05-18 23:06:31 UTC
Created attachment 1159125 [details]
File: limits

Comment 7 Luke Macken 2016-05-18 23:06:32 UTC
Created attachment 1159126 [details]
File: maps

Comment 8 Luke Macken 2016-05-18 23:06:33 UTC
Created attachment 1159127 [details]
File: mountinfo

Comment 9 Luke Macken 2016-05-18 23:06:33 UTC
Created attachment 1159128 [details]
File: namespaces

Comment 10 Luke Macken 2016-05-18 23:06:34 UTC
Created attachment 1159129 [details]
File: open_fds

Comment 11 Luke Macken 2016-05-18 23:06:35 UTC
Created attachment 1159130 [details]
File: proc_pid_status

Comment 12 Luke Macken 2016-05-18 23:06:36 UTC
Created attachment 1159131 [details]
File: var_log_messages

Comment 14 Fedora End Of Life 2017-07-25 20:48:47 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2017-08-08 14:33:48 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.